// 
// Patron pour la generation d'une classe derivee dans ROOT
// FIPFasterDevice derive de FIPDevice
// 
 
#ifndef FIPFasterDevice_h 
#define FIPFasterDevice_h 
 
#include "FIPDevice.h" 
 
class FIPFasterDevice : public FIPDevice { 
 
   public:	 
   	FIPFasterDevice(void);                      // constructeur par defaut 
	FIPFasterDevice(const FIPFasterDevice &ap); // constructeur par copie 
	~FIPFasterDevice(void);		            // desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)        // copie
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FIPFasterDevice& operator = (const FIPFasterDevice &hp); // operateur = 
	
 	virtual void InitSocket(const Char_t *ser=0, 
	                        Int_t port=0, 
				const Char_t *prot=0);
        virtual void ReleaseSocket(void);

    ClassDef(FIPFasterDevice,1)
 
}; 
 
#endif 
 
