// 
// Patron pour la generation d'une classe derivee dans ROOT
// FCondition derive de FParamCalc
// 
 
#ifndef FCondition_h 
#define FCondition_h 
 
#include "FParamCalc.h" 
 
class FCondition : public FParamCalc { 
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FCondition(void);    // constructeur par defaut 
	FCondition(const FCondition &ap); // constructeur par copie 
	
	~FCondition(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FCondition& operator = (const FCondition &hp); // operateur = 
 
    	virtual Bool_t IsOk(Int_t i=0) {return ((int)(this->GetValue(i)) != 0);} 
//	virtual Double_t GetValue(void) const {return (IsOk() ? 1. : 0.);}
	
	ClassDef(FCondition,1)
 
}; 
 
#endif 
 
