// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamSum derive de FParam
// 
 
#ifndef FParamSum_h 
#define FParamSum_h 
 
#include "FParam.h" 
 
class FParamSum : public FParam { 
 
   protected:
   	FParam 	*param;
	Double_t valSum;
	Bool_t  computed;
   
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FParamSum(void);    // constructeur par defaut 
	FParamSum(const FParamSum &ap); // constructeur par copie 
	
	~FParamSum(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamSum& operator = (const FParamSum &hp); // operateur = 
 
 	virtual void    Reset(void){SetOff();computed=kFALSE;}
 	virtual Double_t GetValue(Int_t i=0) const;
 	virtual void    SetValue(Double_t val,Int_t i=0) 
	 {Warning("SetValue(Double_t val,Int_t i)","Do not use this method");}
 	//virtual void    WriteInFile(ofstream &fout);
 	virtual Bool_t  ReadInFile(ifstream &fin,TList *lop);
	virtual void	SetParam(FParam *p=0);
	virtual FParam *GetParam(void){return param;}
	virtual void 	ComputeSum(void);

    ClassDef(FParamSum,1)
 
}; 
 
#endif 
 
