// 
// Patron pour la generation d'une classe derivee dans ROOT
// FProfileAtt derive de FH2Att
// 
 
#ifndef FProfileAtt_h 
#define FProfileAtt_h 
 
#include "FH2Att.h" 
 
class FProfileAtt : public FH2Att { 
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FProfileAtt(void);    // constructeur par defaut 
	FProfileAtt(const FProfileAtt &ap); // constructeur par copie 
	
	~FProfileAtt(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void CopyHistAtt(FHistAtt & obj) const;
#else
   	virtual void CopyHistAtt(FHistAtt & obj);
#endif
	FProfileAtt& operator = (const FProfileAtt &hp); // operateur = 
 
	virtual void FillHist(Stat_t w=1.);

 	virtual void WriteInFile(ofstream &fout);
 	virtual Bool_t  ReadInFile(ifstream &fin, TList *lop);
	virtual TList *GenericBuilding(TList *lop=0,TList *los=0,
				      FGenericName *name=0,
				      FGenericName *title=0,
				      FGenericName *paramX=0,
				      Int_t nx=0,Double_t xmin=0.,Double_t xmax=0.,
				      FGenericName *paramY=0,
				      Int_t ny=0,Double_t ymin=0.,Double_t ymax=0.,
				      FGenericName *cond=0);

   	virtual void ResetToInit(Option_t *option="");

   ClassDef(FProfileAtt,1)
 
}; 
 
#endif 
 
