// 
// Patron pour la generation d'une classe derivee dans ROOT
// FRateCounter derive de FParam
// 
 
#ifndef FRateCounter_h 
#define FRateCounter_h 
 
#include "FParam.h" 
 
class FRateCounter : public FParam { 
 
   protected:
   	FParam 	*param;
   	FParam 	*paramRef;
	Double_t counts;
	Double_t ref;
	Double_t refRate;
	Double_t valRate;
   
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FRateCounter(void);    // constructeur par defaut 
	FRateCounter(const FRateCounter &ap); // constructeur par copie 
	
	~FRateCounter(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FRateCounter& operator = (const FRateCounter &hp); // operateur = 
 
 	virtual Double_t GetValue(Int_t i=0) const {return valRate;}
 	virtual void    SetValue(Double_t val,Int_t i=0) 
	 {Warning("SetValue(Double_t val,Int_t i)","Do not use this method");}
 	virtual void    WriteInFile(ofstream &fout);
 	virtual Bool_t  ReadInFile(ifstream &fin,TList *lop);
	virtual void	SetParam(FParam *p=0);
	virtual FParam *GetParam(void){return param;}
	virtual void	SetParamRef(FParam *p=0);
	virtual FParam *GetParamRef(void){return paramRef;}
	virtual void	SetRefRate(Double_t n=1000)
	 {refRate=n;ref=0;counts=0;valRate=-1.;}
	virtual Long_t	GetRefRate(void) const{return refRate;}
	virtual void 	IncrementCounter(void);

    ClassDef(FRateCounter,1)
 
}; 
 
#endif 
 
