//
// Patron pour la generation d'une classe derivee dans ROOT
// FTimeHist derive de TH1F
//

#ifndef FTimeHist_h
#define FTimeHist_h

#include "TH2F.h"
#include "FTimeHistAtt.h"

class FTimeHist : public TH2F, public FTimeHistAtt {

  protected:
    virtual void Init(void);       // initialisation

  public:
    FTimeHist(void);    // constructeur par defaut
    FTimeHist(const char* name, const char* title, Int_t nbinsx, Int_t nbinsy, Axis_t ylow, Axis_t yup);
    FTimeHist(const char* name, const char* title, Int_t nbinsx, Int_t nbinsy, const Double_t* ybins);
    FTimeHist(const FTimeHist &ap); // constructeur par copie

    ~FTimeHist(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FTimeHist& operator = (const FTimeHist &hp); // operateur =

    virtual TH1 *GetHisto(void);
    virtual void SavePrimitive(ostream &out, Option_t *opt="");

    virtual void Paint(Option_t *option="");
    virtual void ToggleActivate(Int_t val=1) {FHistAtt::ToggleActivate(val);} // *TOGGLE* *GETTER=IsActivated
    virtual void ToggleCanRebin(Int_t val=1) {FHistAtt::ToggleCanRebin(val);} // *TOGGLE* *GETTER=CanRebin

    ClassDef(FTimeHist,1)

};

#endif

