// 
// Patron pour la generation d'une classe derivee dans ROOT
// FWindowProfileAtt derive de FWindowHistAtt
// 
 
#ifndef FWindowProfileAtt_h 
#define FWindowProfileAtt_h 
 
#include "FWindowHistAtt.h" 
 
class FWindowProfileAtt : public FWindowHistAtt { 
 
   protected: 
        virtual void Init(void);       // initialisation 
 	virtual void DoShift(Int_t ishift);
 
   public:	 
   	FWindowProfileAtt(void);    // constructeur par defaut 
	FWindowProfileAtt(const FWindowProfileAtt &ap); // constructeur par copie 
	
	~FWindowProfileAtt(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void CopyHistAtt(FHistAtt & obj) const;
#else
   	virtual void CopyHistAtt(FHistAtt & obj);
#endif
	FWindowProfileAtt& operator = (const FWindowProfileAtt &hp); // operateur = 
 
	virtual void FillHist(Stat_t w=1.);

 	virtual void WriteInFile(ofstream &fout);
 	virtual Bool_t  ReadInFile(ifstream &fin, TList *lop);
	virtual TList *GenericBuilding(TList *lop=0,TList *los=0,
				      FGenericName *name=0,
				      FGenericName *title=0,
				      FGenericName *paramX=0,
				      Int_t nx=0,Double_t xmin=0.,Double_t xmax=0.,
				      FGenericName *paramY=0,
				      Int_t ny=0,Double_t ymin=0.,Double_t ymax=0.,
				      FGenericName *cond=0);

    ClassDef(FWindowProfileAtt,1)
 
}; 
 
#endif 
 
