//
// Patron pour la generation d'une classe derivee dans ROOT
// FHRawScale derive de TH1D
//

#ifndef FHRawScale_h
#define FHRawScale_h

#include "TH1D.h"
#include "FRawScaleAtt.h"

class FHRawScale : public TH1D, public FRawScaleAtt {

  protected:
    virtual void Init(void);       // initialisation

  public:
    FHRawScale(void);    // constructeur par defaut
    FHRawScale(const char* name, const char* title);
    FHRawScale(const FHRawScale &ap); // constructeur par copie

    ~FHRawScale(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FHRawScale& operator = (const FHRawScale &hp); // operateur =

    virtual TH1 *GetHisto(void);
    virtual void SavePrimitive(ostream &out, Option_t *opt="");

    virtual void ResetAttFill(Option_t *option="");
    virtual void Paint(Option_t *option="");
    virtual void ToggleActivate(Int_t val=1) {FHistAtt::ToggleActivate(val);} // *TOGGLE* *GETTER=IsActivated

    ClassDef(FHRawScale,1)

};

#endif

