//
// Patron pour la generation d'une classe derivee dans ROOT
// FHScale derive de TH1D
//

#ifndef FHScale_h
#define FHScale_h

#include "TH1D.h"
//#include "FHistAtt.h"
#include "FScaleAtt.h"

//class FHScale : public TH1F, public FHistAtt {
class FHScale : public TH1D, public FScaleAtt {

  protected:
    virtual void Init(void);       // initialisation

  public:
    FHScale(void);    // constructeur par defaut
    FHScale(const char* name, const char* title);
    FHScale(const FHScale &ap); // constructeur par copie

    ~FHScale(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FHScale& operator = (const FHScale &hp); // operateur =

    virtual TH1 *GetHisto(void);
    virtual void SavePrimitive(ostream &out, Option_t *opt="");

    virtual void Paint(Option_t *option="");
    virtual void ToggleActivate(Int_t val=1) {FHistAtt::ToggleActivate(val);} // *TOGGLE* *GETTER=IsActivated

    ClassDef(FHScale,1)

};

#endif

