// 
// Patron pour la generation d'une classe derivee dans ROOT
// MFH2GUI derive de MHistoGUI
// 
 
#ifndef MFH2GUI_h 
#define MFH2GUI_h 
 
#include "MHistoGUI.h"
#include "MGAxe.h"
 
class MFH2GUI : public MHistoGUI { 

 
   public:	 
	MGAxe *varX;
	MGAxe *varY;

   public:	 
	MFH2GUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MFH2GUI(const MFH2GUI &ap); // constructeur par copie 
#endif
	
	~MFH2GUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MFH2GUI& operator = (const MFH2GUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void Reset(void);

    ClassDef(MFH2GUI,1)
 
}; 
 
#endif 
 
