// 
// Patron pour la generation d'une classe derivee dans ROOT
// MFHScaleGUI derive de MHistoGUI
// 
 
#ifndef MFHScaleGUI_h 
#define MFHScaleGUI_h 
 
#include "MHistoGUI.h"
#include "MGAxe.h"
 
class MFHScaleGUI : public MHistoGUI { 

 
   public:	 
	MFHScaleGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MFHScaleGUI(const MFHScaleGUI &ap); // constructeur par copie 
#endif
	
	~MFHScaleGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MFHScaleGUI& operator = (const MFHScaleGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void Reset(void);

    ClassDef(MFHScaleGUI,1)
 
}; 
 
#endif 
 
