// 
// Patron pour la generation d'une classe derivee dans ROOT
// MFTimeProfileGUI derive de MHistoGUI
// 
 
#ifndef MFTimeProfileGUI_h 
#define MFTimeProfileGUI_h 
 
#include "MHistoGUI.h"
#include "MCBLabel.h"
 
class MFTimeProfileGUI : public MHistoGUI { 

 
   public:	 
	TGNumberEntry	*nbBins;
	TGNumberEntry	*secPerBin;
	MCBLabel 	*var;

   public:	 
	MFTimeProfileGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MFTimeProfileGUI(const MFTimeProfileGUI &ap); // constructeur par copie 
#endif
	
	~MFTimeProfileGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MFTimeProfileGUI& operator = (const MFTimeProfileGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void Reset(void);

    ClassDef(MFTimeProfileGUI,1)
 
}; 
 
#endif 
 
