// 
// Patron pour la generation d'une classe derivee dans ROOT
// MHistoGUI derive de TGCompositeFrame
// 
 
#ifndef MHistoGUI_h 
#define MHistoGUI_h 
 
#include "TROOT.h"
#include "TGClient.h"
#include "MTELabel.h"
#include "MCBLabel.h"
#include "MGAxe.h"
#include "TH1.h"
#include "FEventProcessor.h"
 
class MHistoGUI : public TGCompositeFrame { 

	enum ElementId 
	{
  	 B_CreateAndAddHisto,
  	 CB_varX,
  	 CB_varY,
  	 CB_cond,
	 TE_TitreHisto,
	 TE_NomHisto,
	 TE_DrawOption,
	};

   protected: 
	TH1 *histogram;
	TString histoClass;

	MTELabel	*nomHisto;
	MTELabel	*titreHisto;
	MTELabel	*drawOption;
	MCBLabel	*conditions;
	
	FEventProcessor *fep;
	
   protected: 
        virtual void Init(void);       // initialisation 
        virtual void AddButtons(void);       // ajout des boutons 
 
   public:	 
	MHistoGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MHistoGUI(const MHistoGUI &ap); // constructeur par copie 
#endif
	
	~MHistoGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MHistoGUI& operator = (const MHistoGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void SetFEventProcessor(FEventProcessor *f=0){fep=f;}
	virtual FEventProcessor *GetFEventProcessor(void){return fep;}
	
	virtual void SetHistogram(TH1 *h=0){histogram=h;}
	virtual TH1 *GetHistogram(void){return histogram;}
	virtual void BuildHistogram(void);

	virtual void Reset(void);
	virtual void WarningBox(char const *title="Warning",char const *msg="Warning");

    ClassDef(MHistoGUI,1)
 
}; 
 
#endif 
 
