// 
// Patron pour la generation d'une classe derivee dans ROOT
// FGCondition derive de FCondition
// 
 
#ifndef FGCondition_h 
#define FGCondition_h 
 
#include "FCondition.h" 
#include "TList.h" 
#include "TCutG.h" 
 
class FGCondition : public FCondition { 
 
   protected: 
   	TCutG *gcut; // Coupure graphique
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FGCondition(void);    // constructeur par defaut 
	FGCondition(const FGCondition &ap); // constructeur par copie 
	
	~FGCondition(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FGCondition& operator = (const FGCondition &hp); // operateur = 

	virtual void SetTCutG(TCutG *c=0) {gcut=c;}
	virtual void ResetTCutG(void) {gcut=0;}
	virtual TCutG *GetTCutG(void) {return gcut;}
//	virtual Double_t GetValue(Int_t i=0) const;
//    	virtual Bool_t IsOk(Int_t i=0); 
	virtual void    SetValue(Double_t val,Int_t i=0);
	virtual FParam *GetParamX(void) {return (FParam *)listOfParams->At(0);}
	virtual FParam *GetParamY(void) {return (FParam *)listOfParams->At(1);}
	virtual void SetParamX(FParam *p);
	virtual void SetParamY(FParam *p);
	virtual TString GetFormula(void);

 	virtual void WriteInFile(ofstream &fout);
 	virtual Bool_t ReadInFile(ifstream &fin,TList *lop);
 
    ClassDef(FGCondition,1)
 
}; 
 
#endif 
 
