// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamBrutVector derive de FParamBrut
// 
 
#ifndef FParamBrutVector_h 
#define FParamBrutVector_h 
 
#include "FParamBrut.h" 
 
class FParamBrutVector : public FParamBrut { 
 
   protected:
   	Double_t  *arrayOfValues; //!

   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FParamBrutVector(void);    // constructeur par defaut 
	FParamBrutVector(const FParamBrutVector &ap); // constructeur par copie 
	
	~FParamBrutVector(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamBrutVector& operator = (const FParamBrutVector &hp); // operateur = 
 
	virtual void     Reset(void);
	virtual void  	 SetValue(Double_t val,Int_t i=0);
 	virtual Double_t GetValue(Int_t i=0) const;
	virtual void	 SetNbValues(Int_t nbv=1);
	virtual void	 SetNbValuesMax(Int_t nbv=1);

    ClassDef(FParamBrutVector,1)
 
}; 
 
#endif 
 
