// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamTreeLeaf derive de FParam
// 
 
#ifndef FParamTreeLeaf_h 
#define FParamTreeLeaf_h 
 
#include "FParam.h" 
#include "TLeaf.h" 
 
class FParamTreeLeaf : public FParam { 
 
   protected:
   	TLeaf *treeLeaf;
   
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FParamTreeLeaf(void);    // constructeur par defaut 
	FParamTreeLeaf(const FParamTreeLeaf &ap); // constructeur par copie 
	
	~FParamTreeLeaf(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamTreeLeaf& operator = (const FParamTreeLeaf &hp); // operateur = 
 
 	virtual void    Reset(void);
 	virtual Double_t GetValue(Int_t i=0) const;
	virtual void    SetValue(Double_t val, Int_t i=0);
	virtual Int_t	GetNbValues(void) const;
	
	virtual void SetTreeLeaf(TLeaf *leaf) 
	 {treeLeaf=leaf;SetNbValues(1);}
	virtual TLeaf *GetTreeLeaf(void) const {return treeLeaf;}

    ClassDef(FParamTreeLeaf,1)
 
}; 
 
#endif 
 
