// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamUser derive de FParam
// 
 
#ifndef FParamUser_h 
#define FParamUser_h 
 
#include "FParam.h" 
 
class FParamUser : public FParam { 
 
   protected:
   	Double_t  *arrayOfValues; //!

   protected: 
        virtual void Init(void);       // initialisation 
	virtual void EvalLinkedParamCalc(void);
 
   public:	 
   	FParamUser(void);    // constructeur par defaut 
	FParamUser(const FParamUser &ap); // constructeur par copie 
	
	~FParamUser(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamUser& operator = (const FParamUser &hp); // operateur = 
 
	virtual void     Reset(void);
	virtual void  	 SetValue(Double_t val,Int_t i=0);
 	virtual Double_t GetValue(Int_t i=0) const;
	virtual void	 SetNbValues(Int_t nbv=1);
	virtual void	 SetNbValuesMax(Int_t nbv=1);

    ClassDef(FParamUser,1)
 
}; 
 
#endif 
 
