#include <fstream>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <iostream>
#include "TSystem.h"

using namespace std;
//
// This program simulates an online writing from GANDALF DAQ.
// Data are copied at regular time from "Gandalf-20110225-132625.dat" file in
// a new file "thi.dat" in blocks of 8192 data.
//
// To compile this program, write this command line in a Terminal:
// g++ -o GUIN_Writer GUIN_Writer.C -I`root-config --incdir` `root-config --libs` 
//

int main(int argc, char *argv[])
{
char *buf;
int i = 0;
ifstream in("Gandalf-20110225-134310.dat",ios::in);
ofstream out1("thi.dat",ios::out|ios::app);
ofstream out2("thi_1.dat",ios::out|ios::app);
ofstream out3("thi_2.dat",ios::out|ios::app);

buf = new char[8192];

bool ok=true;
while(ok && !in.eof() && (i<10))
 {
 in.clear();
 in.read(buf,8192);
 
 // Sleep 0.4s
 //gSystem->Sleep(400.);
 
 // Pause duree aleatoire
 gSystem->Sleep(float(rand()%2000+1));

 out1.write(buf,8192);
 out1.flush();
 i++;
 cout << "A buffer written in output file (" << i << ")" <<endl;
 ok = in.good();
 }

out1.clear();
out1.close();

while(ok && !in.eof() && (i<20))
 {
 in.clear();
 in.read(buf,8192);
 
 gSystem->Sleep(float(rand()%2000+1));

 out2.write(buf,8192);
 out2.flush();
 i++;
 cout << "A buffer written in output file (" << i << ")" <<endl;
 ok = in.good();
 }

out2.clear();
out2.close();

while(ok && !in.eof() && (i<30))
 {
 in.clear();
 in.read(buf,8192);
 
 gSystem->Sleep(float(rand()%2000+1));

 out3.write(buf,8192);
 out3.flush();
 i++;
 cout << "A buffer written in output file (" << i << ")" <<endl;
 ok = in.good();
 }

if(in.eof()){
  cout << "Clear() in and out streams." <<endl;
  in.clear();
  out3.clear();
}

//out.flush();
//cout << "Stream is flushed. Now waiting 15s ..." <<endl;

//delete[] buf;
// Wait 15s
//gSystem->Sleep(15000.);
cout << " Now all is closed." <<endl;
in.close();
out2.close();
}
